Summary:	Menu for Fedora Documentation
Name:		docs-menu
Version:	13.0.2
Release:	1%{?dist}
License:	GPLv2
Group:		System Environment/Base
URL:		http://git.fedorahosted.org/git/?p=docs/web.git
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

BuildRequires:	/usr/bin/perl

%description
docs-menu adds menu items for online Fedora documentation.

%prep
%setup -q

%build
perl buildDocsMenu.pl -v %{version}

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/share
mkdir $RPM_BUILD_ROOT/usr/share/applications
mkdir $RPM_BUILD_ROOT/usr/share/doc
mkdir $RPM_BUILD_ROOT/usr/share/doc/HTML
mkdir $RPM_BUILD_ROOT/usr/share/doc/HTML/fedora-documentation


LOCALSHARE=$RPM_BUILD_ROOT/usr/share
install -m 755 scratch/usr/share/applications/* $LOCALSHARE/applications/
LOCALDOC=$LOCALSHARE/doc/HTML
install -m 644 scratch/usr/share/doc/HTML/fedora-documentation/* \
	$LOCALDOC/fedora-documentation

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/applications/
%{_defaultdocdir}/HTML/fedora-documentation

%changelog
* Thu Oct 14 2010 John J. McDonough <jjmcd@fedoraproject.org> - 13.0.2
- Minor cleanup of Perl script
- More recent database

* Fri Oct  8 2010 John J. McDonough <jjmcd@fedoraproject.org> - 13.0.1
- Select release via parameter rather than hardcoded

* Tue Oct  5 2010 John J. McDonough <jjmcd@fedoraproject.org> - 13.0.0
- Fedora 13
