#!/bin/sh
#
# SCRIPT TO MAKE Technical-Notes
#
# Previous version of primary.sqlite in subdirectory old/
# New version of primary.sqlite in subdirectory new/
#
# This script will create many beat and xml files.  There is one
# xml produced per rpm_group in new/primary.sqlite.  An file,
# Changes.xml, has include statements for each of these xmls.
#
# Changes.xml should be included in en-US/Technical_Notes.xml.  The
# writer should edit this list to group the includes into logical
# chapters.
#
# jjmcd - 2010-04-16
#
sqlite3 --noheader new/primary.sqlite "SELECT DISTINCT rpm_group FROM packages ORDER BY rpm_group" >tempfile
./makeTechNotes tempfile
echo " "
echo " "
echo "======================================"
echo "Includes for all tables in Changes.xml"
echo "======================================"
